/*
 * Licensed under the MIT License:
 *   http://www.opensource.org/licenses/mit-license.php
 * This collection of scripts is built on top of the very light weight jQuery library.
 * Credit for jquery menu goes to Myles Angell with a bit of shim correction from Adam Cooper
 */


$(document).ready(function(){ 
	$("div.firstwave li").hoverClass("sfHover");
	$("object").prepend("<param name=\"wmode\" value=\"opaque\" />");
	$("object").css("zIndex","-1");
	if($.browser.msie || $.browser.mozilla ) { $("div.firstwave li ul").append("</iframe>").prepend("<iframe>");};
	$(".tools").prepend("<div></div><span>Tools</span>");
	$(".toolsadmin").prepend("<div></div><span>Project Admin</span>");
	$(".subdiv").prepend("<div></div><span>&nbsp;</span>");
	$(".sethide").toggle(function(){ 
		$(this).css("color", "#000");
		$("span.question").html(":");
		$(".obj").css("display", "inline");
	  },function(){
		$(this).css("color", "#039");
		$("span.question").html("?");
		$(".obj").css("display", "none");
	  });
	$("label").click(function(){$(this).find("input[@type='checkbox']").check();});
});
$.fn.hoverClass = function(c) {
        return this.each(function(){
	        $(this).hover(
                	function() { $(this).addClass(c); },
                	function() { $(this).removeClass(c); }
        	);
        });
};

$.fn.check = function() {
	return this.each(function() {
		this.checked = true;
	});
};
// function to break up project nav submenu items which have too many characters
cleanProjNavItems = function() {
	// for each of the "firstwave ul li a" elements ...
	$(".firstwave ul li a").each(function(){
		// wordWrap the contents and re-assign
		$(this).html(wordWrap($(this).text(), 18, " ", true));
	});
};
// wordWrap function adapted from http://www.bigbold.com/snippets/posts/show/869
wordWrap = function(bigString, m, b, c){
    var i, j, s, r = bigString.split(" ");
    if(m > 0) for(i in r){
        for(s = r[i], r[i] = ""; s.length > m;
            j = c ? m : (j = s.substr(0, m).match(/\S*$/)).input.length - j[0].length
            || m,
            r[i] += s.substr(0, j) + ((s = s.substr(j)).length ? b : "")
        );
        r[i] += s;
    }
    return r.join(" ");
};
$(document).ready(cleanProjNavItems);
